package com.timezone

import android.util.Log
import com.facebook.react.bridge.Promise
import com.facebook.react.bridge.ReactApplicationContext
import com.facebook.react.bridge.ReactContextBaseJavaModule
import com.facebook.react.bridge.ReactMethod
import java.util.TimeZone
import java.util.Currency

class TimezoneModule(reactContext: ReactApplicationContext) :
  ReactContextBaseJavaModule(reactContext) {

  override fun getName(): String {
    return NAME
  }

  // Example method
  // See https://reactnative.dev/docs/native-modules-android
  @ReactMethod
  fun multiply(a: Double, b: Double, promise: Promise) {
    promise.resolve(a * b)
  }

  @ReactMethod(isBlockingSynchronousMethod = true)
  fun getTimezoneAbbreviation(): String {
    val timeZone = TimeZone.getDefault().getDisplayName(false,TimeZone.SHORT)
    Log.e("timeZone",timeZone)
    return timeZone.substringAfterLast(" ")
  }

  @ReactMethod(isBlockingSynchronousMethod = true)
  fun getCurrencySymbol(currencyCode: String): String {
    val currency = Currency.getInstance(currencyCode)
    return currency.getSymbol()
  }

  companion object {
    const val NAME = "Timezone"
  }
}
