"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCurrencySymbol = getCurrencySymbol;
exports.getTimezoneAbbreviation = getTimezoneAbbreviation;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-timezone' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const Timezone = _reactNative.NativeModules.Timezone ? _reactNative.NativeModules.Timezone : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function getTimezoneAbbreviation() {
  return Timezone.getTimezoneAbbreviation();
}
function getCurrencySymbol(currencyCode) {
  return Timezone.getCurrencySymbol(currencyCode);
}
//# sourceMappingURL=index.js.map